Bug 965136 - chcat doesn't add category, just replaces it
chcat doesn't add category, just replaces it
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: policycoreutils (Show other bugs)
5.9
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 09:42 EDT by Michal Trunecka
Modified: 2014-09-30 19:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-23 11:00:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Trunecka 2013-05-20 09:42:36 EDT
Description of problem:

# useradd testuser
# chcat -l -L testuser
testuser: s0
# chcat -l s0:c0 testuser
# chcat -l -L testuser
testuser: s0:c0
# chcat -l +s0:c1 testuser
# chcat -l -L testuser
testuser: s0:c1


Expected result:
# chcat -l -L testuser
testuser: s0:c0,c1


Version-Release number of selected component (if applicable):
policycoreutils-1.33.12-14.11.el5

How reproducible:
always
Comment 1 RHEL Product and Program Management 2013-05-20 12:42:01 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Michal Trunecka 2013-05-21 02:55:48 EDT
I have played with it a bit and it seems like c0 is not a standard category on RHEL5, but means something like "no category", right? And that is why it doesn't show c0,c1 but only c1, is that correct? But it is different from RHEL6 and RHEL7 then.
Comment 4 Daniel Walsh 2013-05-23 10:44:12 EDT
c0 is not standard, s0 is the default s0:c0 would be category c0.
Comment 5 RHEL Product and Program Management 2013-05-23 11:00:59 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.